> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/sdk/events/activespeakerchanged.md).

# activeSpeakerChanged

Emitted when a different user starts speaking inside the room. This can be useful if you want to display information in your app which user is currently speaking inside the room.&#x20;

#### Sample payload

```json
{
  "type": "activeSpeakerChanged",
  "data": {
    "type": "local",
    "user": {
      "id": "2775f882-845e-4416-82c9-04cc25669c0b",
      "name": "John Smith",
      ........................
    }
  }
}
```

#### Sample subscription code

```javascript
sambaFrame.on('activeSpeakerChanged', (event) => {
  const data = event.data;
  if (data.type === 'local') {
     console.log('You are now speaking...');
  } else {
     console.log(data.user.name, 'is now speaking...');
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/events/activespeakerchanged.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
